Subject: Re: zImage.elf loads but does not start

From: Andrei Konovalov <[email-masked]>
Date: Mon, 23 Apr 2007 20:24:36 +0400

Hi Mirek,

Mirek23 wrote:
> I have revised the xparameters_ml403.h and the setup of the FPGA part. I have
> found that the interrupt for the RS232 was not configured. Right now I was
> able to come to the point when the kernel was uncompressed but it did not
> start:
> 
> 
> loaded at:     00400000 004F9138
> 
> board data at: 004F7120 004F7138
> 
> relocated to:  00404064 0040407C
> 
> zimage at:     00404DF1 004F6BBB
> 
> avail ram:     004FA000 04000000
> 
> 
> 
> Linux/PPC load: console=ttl0,9600 ip=129.129.129.29 root=/dev/ram rw

If you use the UART Lite driver by Peter Korsgaard it sould be
"console=ttyUL0", not "console=ttl0".

Thanks,
Andrei

> Uncompressing Linux...done.
> 
> Now booting the kernel
> 
> 
> 
> 
> Does anybody has an idea what could be wrong?
> 
> Best Regards
> 
> Mirek